收藏
回答

【已解决】HTTP 开发者工具 HTTP 调用上传报错

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug macOS 1.02.1901230

- 当前 Bug 的表现(可附上截图)


通过开发者工具 HTTP 调用上传,报如下错误


events.js:183

      throw er; // Unhandled 'error' event

      ^


Error: connect ECONNREFUSED 127.0.0.1:20408

    at Object._errnoException (util.js:1022:11)

    at _exceptionWithHostPort (util.js:1044:20)

    at TCPConnectWrap.afterConnect [as oncomplete] (net.js:1198:14)


- 预期表现


上传成功


--------------- 2019.02.13 更新 ------------------


之前一直好用,更新版本后接口挂了,官方的同学也没有给解答,感觉应该是 IDE 设置有问题,所以尝试的去挨个点了下,果然 ~~



最后一次编辑于  2019-02-13
回答关注问题邀请回答
收藏

1 个回答

  • 邓坤力
    邓坤力
    2019-01-29

    工具是否已启动?端口号是否是按端口号文件查找获得?


    端口号文件位置:

    macOS : ~/Library/Application Support/微信web开发者工具/Default/.ide

    Windows : ~/AppData/Local/微信web开发者工具/User Data/Default/.ide


    https://developers.weixin.qq.com/miniprogram/dev/devtools/http.html

    2019-01-29
    赞同
    回复 2
    • 侯全
      侯全
      2019-01-29

      工具已经开启,也正常的拿到了端口号,HTTP 上传的代码是一直好用的,最近先是使用老版本时,一直提示需要登录,然后开发这工具中登录完成后,再通过 HTTP 上传时,直接把开发者工具中的登录状态顶下去了,然后提示:



      升级开发者工具后,就报上面的错误了

      2019-01-29
      回复
    • 侯全
      侯全
      2019-01-29回复侯全

      const home = os.homedir()

      const portPath = process.platform === 'win32'

      ? path.join(home, 'AppData/Local/微信web开发者工具/User Data/Default/.ide')

      : path.join(home, 'Library/Application Support/微信web开发者工具/Default/.ide')


      if (!fs.existsSync(portPath)) {

      this.log.error('You need install and open wechat development tools.')

      return this.renderAscii()

      } else {

      const port = fs.readFileSync(portPath, { encoding: 'utf8' })

      return +port

      }


      2019-01-29
      回复
登录 后发表内容